# Method: accounts.programs.list

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.programs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.programs/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.programs/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.programs/list#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.programs/list#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.programs/list#body.ListProgramsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.programs/list#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.programs/list#try-it)

Retrieves all programs for the account.

### HTTP request

`GET https://merchantapi.googleapis.com/accounts/v1/{parent=accounts/*}/programs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the account for which to retrieve all programs. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of programs to return in a single response. If unspecified (or 0), a default size of 1000 is used. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A continuation token, received from a previous `programs.list` call. Provide this to retrieve the next page. |

### Request body

The request body must be empty.

### Response body

Response message for the programs.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "programs": [ { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.programs#Program`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `programs[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.programs#Program`)`` The programs for the given account. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).